/*
===============================================================================
 Name        : Blinky.c
 Author      : $(author)
 Version     :
 Copyright   : $(copyright)
 Description : main definition
===============================================================================
*/
#ifdef __USE_CMSIS
#include "LPC13Uxx.h"
#endif

#include <cr_section_macros.h>
#include <stdio.h>

volatile uint32_t msTicks = 0;            // counts 1ms timeTicks

void SysTick_Handler (void)  {
  msTicks++;                              // increment Delay()-counter
}

static void Delay (uint32_t dlyTicks)  {
  uint32_t curTicks;

  SysTick_Config(SystemCoreClock / 1000); // we're operating at 12 MHz
  curTicks = msTicks;
  while ((msTicks - curTicks) < dlyTicks); // wait here until our time has come...
}


int main(void)
{
	//data direction: output - high
	LPC_GPIO->DIR[0] |= (1<<1);

    while(1) {
    	LPC_GPIO->B0[1] = 1;
        Delay(200);
        LPC_GPIO->B0[1] = 0;
        Delay(1000);

        LPC_GPIO->B0[1] = 1;
        Delay(1000);
		LPC_GPIO->B0[1] = 0;
		Delay(200);
    }
    return 0 ;
}
